Retrieve all Snapshots
This endpoint enables retrieving all Snapshots using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100Filters snapshots by the cluster they belong to.
Returned all requested Snapshots successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of Snapshot resources.
b9cb6c65-8997-58bb-b7d1-93e5da5a6525The type of the resource.
The URL of the list of Snapshot resources.
/snapshotsThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /v2/snapshots HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "b9cb6c65-8997-58bb-b7d1-93e5da5a6525",
"type": "collection",
"href": "/snapshots",
"items": [
{
"id": "a8784665-3d99-5464-af32-30a2967f58e7",
"type": "snapshot",
"href": "/snapshots/a8784665-3d99-5464-af32-30a2967f58e7",
"metadata": {},
"properties": {
"clusterId": "59348c25-2d4b-4870-a5b6-33c48fce1c58",
"clusterName": "my-in-memory-db-cluster",
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"earliestRecoveryTargetTime": "2023-10-05T14:48:00.000Z",
"latestRecoveryTargetTime": "2023-10-10T14:48:00.000Z",
"location": "eu-central-3",
"clusterVersion": "9.0",
"snapshotSize": 16,
"requiredSizeForRestore": 16
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?